#!/usr/bin/env bash
set -e

venv=$1
country=$2
lambdas_calculation=${3}
regularization_weight=${4}
renewal_equation=${5}
remove_wa=${6}
NWeeks=${7}
forecast=${8}
HermiteR=${9}
HermiteNdays=${10}
demoExtras=${11}

if [ ! -d "$venv" ]; then
  echo "Virtualenv not found" > demo_failure.txt
  exit 0
else
  source $venv/bin/activate
fi

echo $country > country.txt
echo $lambdas_calculation > lambdas_calculation.txt
echo $regularization_weight > regularization_weight.txt
echo $renewal_equation > renewal_equation.txt
echo $remove_wa > remove_wa.txt
echo $NWeeks > NWeeks.txt
echo $forecast > forecast.txt
echo $HermiteR > HermiteR.txt
echo $HermiteNdays > HermiteNdays.txt
echo $demoExtras > demoExtras.txt

cp /home/ipol/ipolDevel/ipol_demo/modules/demorunner/binaries/77777000139/bin/demo.ipynb ./

/home/ipol/ipolDevel/ipol_demo/modules/demorunner/binaries/77777000139/bin/quarto-0.2.315/bin/quarto render demo.ipynb --execute -o output_notebook.html


# get the key and demo_id
key=$(basename $(pwd))
demo_id=$(basename $(dirname $(pwd)))
viewer_url="https://ipolcore.ipol.im/api/core/shared_folder/run/${demo_id}/${key}/output_notebook.html"
iframe="<iframe src='$viewer_url' title=\"notebook\" onload='javascript:(function(o){o.style.height=o.contentWindow.document.body.scrollHeight+"px";}(this));' style=\"width:100%;border:none;overflow:hidden;\"></iframe>"
echo "url=$iframe" >> algo_info.txt
